#!/usr/bin/perl

my $html_file_pattern = 'html';
my $html_dir = 'paper_html';
my $html_dir2 = 'paper_html2';
my $d;
my @dlist;
my $file;
my $in;
my $out;
my $newnum;


if (opendir $d, $html_dir) {
	@dlist = grep /$html_file_pattern/, readdir $d;
	closedir $d;
}

foreach $file (@dlist) {
	#print STDOUT "FILE: $file\n";

	open ($in, "<", "$html_dir/$file")  or die "Can't open input file $html_dir/$file: $!";
	open ($out, ">", "$html_dir2/$file")  or die "Can't open output file $html_dir2/$file: $!";

	while ($line = <$in>) {
		chomp $line;
		if ($line =~ /WIDTH=".*" HEIGHT=".*" ALIGN=".*" BORDER=".*"/) { 
			$line2 = <$in>;
			if ($line2 =~ /(^.*SRC="img)([0-9]+)(\.png".*)$/) {

				#print "$file: line1: $1 $2 $3\n";
				#print "$file: line2: $line2\n";

				$newnum = $2+1;
				print $out "$1$newnum$3\n";
			}
         else {
				print $out "$line\n";
				print $out "$line2\n";
         }
		} else {
			print $out "$line\n";
		}
	}
	close ($in);
	close ($out);
}

